import { Fragment } from "react";
import { Entity, PolylineGraphics } from "resium";

function WaterVaporPath() {
  return (
    <Fragment>
      <Entity>
        <PolylineGraphics
          positions={Cesium.Cartesian3.fromDegreesArrayHeights([
            103, 46, 0, 93, 38, 0,
          ])}
          width={10}
          material={
            new Cesium.PolylineDashMaterialProperty({
              color: Cesium.Color.fromCssColorString("#406ec5"),
              dashLength: 20,
            })
          }
        />
      </Entity>
      <Entity>
        <PolylineGraphics
          positions={Cesium.Cartesian3.fromDegreesArrayHeights([
            93, 38, 0, 93, 37.9, 0,
          ])}
          width={30}
          material={
            new Cesium.PolylineArrowMaterialProperty(
              Cesium.Color.fromCssColorString("#406ec5")
            )
          }
        />
      </Entity>
    </Fragment>
  );
}

export default WaterVaporPath;
